require( "scripts/style.lua" );

TasksFont = {
	oldsansblackFont,
	30,
	Color(0,0,0,255),
};

MakeDialog
{
name = "minigame_yesno",
Bitmap
	{
		name = "backgundo",
		image = "backgrounds/back",
		x = 0,
		y = 0,
		scale = 1.00
	},
	Bitmap
	{
		name = "bitemap",
		image = "tutorial/talk_nanny"..gDialogTable.nanny+1,
		x = kCenter,
		y = kCenter,
		scale = 1.00,
		SetStyle(DialogBodyText),
		Text
		{
			name = "txt_tut1",
			label = "minigame_intro",
			x = 228,
			y = 71,
			w = 350,
			h = 150,
			font = TasksFont,
			flags = kHAlignLeft+kVAlignCenter,
		},
		SetStyle( MenuButtonStyle ),
		Button
		{
			name = "gamescreenmenu",
			x=467,
			y=240,
			graphics = SmallButton2Graphics,
			MenuButtonLabel(0,0,111,26, "no", oldsansblackFont, 20, Color(135,32,33,255), Color(44,76,60,255), Color(83,119,101,255));
			command = function()
				PopModal("minigame_yesno");
				PopModal("gamestatus");
			end
		},
		Button
		{
			name = "gamescreenmenu",
			x=233,
			y=240,
			graphics = SmallButton2Graphics,
			MenuButtonLabel(0,0,111,26, "yes", oldsansblackFont, 20, Color(135,32,33,255), Color(44,76,60,255), Color(83,119,101,255));
			command = function()
				PopModal("minigame_yesno");
				PopModal("gamestatus");
				SwapToModal("scripts/minigame.lua");
			end
		},
	}
}
